
QGIS Application - Bug report #21493

QGIS crashed when load a layer

2019-03-06 01:32 AM - Emilio Abad

Status: Closed

Priority: High

Assignee:

Category: Data Provider

Affected QGIS version:3.4.5 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 29310

Description

User Feedback

Hi when I load a layer, QGIS crashed

Report Details

Crash ID: 0478ce1956a3f8a7c10e47977c1089a39309c46f

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :

DllUnregisterServer :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoCreateInstance :

CoCreateInstance :

CoCreateInstance :

SHCreateItemInKnownFolder :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

SHELL32_IconOverlayManagerInit :

SHELL32_IconOverlayManagerInit :

NeverProvidedByJunction :

StateRepoVerbsCache_GetContextMenuVerbs :

StateRepoVerbsCache_GetContextMenuVerbs :

Ordinal2007 :

SHCreateItemWithParent :

SHCreateItemWithParent :

SHCreateItemWithParent :

GetScaleFactorForMonitor :

A_SHAUpdate :

RtlReleaseSRWLockExclusive :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.4.5-Madeira

QGIS code revision: commit:89ee6f6e23

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-03-06 10:21 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Status changed from Open to Feedback

Please try with a new/clean profile, no 3rd party plugins installed.

#2 - 2019-03-23 01:08 PM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.
